Tremor documentation | Tremor version 1.0 - 20020403

# ov_raw_seek

declared in "ivorbisfile.h";

Seeks to the offset specified (in compressed raw bytes) within the physical bitstream. This function only works for seekable streams.

This also updates everything needed within the decoder, so you can immediately call ov_read() and get data from the newly seeked to position.

When seek speed is a priority, this is the best seek funtion to use.

    int ov_raw_seek(OggVorbis_File *vf,long pos);

### Parameters

vf
  A pointer to the OggVorbis_File structure--this is used for ALL the externally visible libvorbisidec functions.
pos
  Position in compressed bytes to seek to in the bitstream.

### Return Values

> - 0 indicates success
> - nonzero indicates failure, described by several error codes:
> - OV_ENOSEEK - Bitstream is not seekable.
> - OV_EINVAL - Invalid argument value.
> - OV_EBADLINK - Invalid stream section supplied to libvorbisidec, or the requested link is corrupt.

copyright © 2002 Xiph.org | Ogg Vorbis
Tremor documentation | Tremor version 1.0 - 20020403